umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdSetVisibility Class Reference

`#include <cmdsetvisibility.h>`

Inheritance diagram for Uml::CmdSetVisibility:

## Public Member Functions
| CmdSetVisibility (UMLObject *obj, Uml::Visibility::Enum visibility)
| ~CmdSetVisibility ()
void | redo ()
void | undo ()
Public Member Functions inherited from Uml::CmdBaseObjectCommand
| CmdBaseObjectCommand (UMLObject *object)
virtual | ~CmdBaseObjectCommand ()

## Private Attributes
Uml::Visibility::Enum | m_oldVisibility
Uml::Visibility::Enum | m_visibility

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseObjectCommand
void | setObject (UMLObject *object)
UMLObject * | object ()
Protected Attributes inherited from Uml::CmdBaseObjectCommand
Uml::ID::Type | m_objectId
QPointer< UMLObject > | m_object

## Constructor & Destructor Documentation

## ◆ CmdSetVisibility()

Uml::CmdSetVisibility::CmdSetVisibility | ( | UMLObject * | obj,
|  | Uml::Visibility::Enum | visibility )

## ◆ ~CmdSetVisibility()

Uml::CmdSetVisibility::~CmdSetVisibility | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdSetVisibility::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdSetVisibility::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_oldVisibility

Uml::Visibility::Enum Uml::CmdSetVisibility::m_oldVisibility
| private

## ◆ m_visibility

Uml::Visibility::Enum Uml::CmdSetVisibility::m_visibility
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/cmdsetvisibility.h
- umbrello/cmds/cmdsetvisibility.cpp